curl --request POST \
--url https://{cluster}.voucherify.io/v2/loyalties/programs/{programId}/rewards/batch \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"assign": [
{
"id": "<string>",
"stock": {}
}
],
"unassign": [
{
"id": "<string>"
}
],
"options": {
"strict": true
}
}
'{
"assigned": [
{
"reward_id": "<string>",
"stock": {
"type": "UNLIMITED",
"limited": {
"quantity": 4503599627370495
}
},
"redeemed": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "program_reward"
}
],
"unassigned": [
{
"reward_id": "<string>",
"stock": {
"type": "UNLIMITED",
"limited": {
"quantity": 4503599627370495
}
},
"redeemed": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "program_reward"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Batch assign/unassign rewards
This documentation is in progress. The parameters, fields, request and response bodies, and other data may be subject to change. If you need more information or you want to share feedback, contact Voucherify support or your Technical Account Manager.
Assigns and/or unassigns rewards to/from a program in a single batch.
Unassign operations are processed before assign operations. Each reward to assign
must include its stock configuration. In strict mode (default) missing rewards
or missing assignments cause the whole batch to fail (404 Not Found).
curl --request POST \
--url https://{cluster}.voucherify.io/v2/loyalties/programs/{programId}/rewards/batch \
--header 'Content-Type: application/json' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>' \
--data '
{
"assign": [
{
"id": "<string>",
"stock": {}
}
],
"unassign": [
{
"id": "<string>"
}
],
"options": {
"strict": true
}
}
'{
"assigned": [
{
"reward_id": "<string>",
"stock": {
"type": "UNLIMITED",
"limited": {
"quantity": 4503599627370495
}
},
"redeemed": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "program_reward"
}
],
"unassigned": [
{
"reward_id": "<string>",
"stock": {
"type": "UNLIMITED",
"limited": {
"quantity": 4503599627370495
}
},
"redeemed": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "program_reward"
}
]
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>",
"resource_id": "<string>",
"resource_type": "<string>"
}{
"code": 500,
"key": "api_error",
"message": "Something went wrong. Don't worry, your campaigns are still safe and the Voucherify Team has been notified. Check out our Help Center and forums for help, or head back to home."
}Authorizations
Path Parameters
Unique program identifier.
^lprg_[a-f0-9]+$Body
Request body schema for POST /v2/loyalties/programs/{programId}/rewards/batch.
Rewards to assign, each with its stock configuration.
10Show child attributes
Show child attributes
Rewards to unassign.
10Show child attributes
Show child attributes
Batch behavior. Defaults to strict mode when omitted.
Show child attributes
Show child attributes
Response
Batch processing result.
Response body schema for POST /v2/loyalties/programs/{programId}/rewards/batch.

